Summary:	GPR - PPD-based graphical printing frontend.
Summary(ja):	GPR - PPDベースのグラフィカル印刷フロントエンド
Name:		gpr
Version:	0.9
Release:	0vl3
License:	GPL
Group:		Applications/Publishing

Source:		http://sourceforge.net/projects/lpr/%{name}-%{version}.tar.bz2
Url:		http://sourceforge.net/projects/lpr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:         alternatives
Requires:	libppd ppdfilt libxml gtk+ a2ps
BuildRequires:	autoconf automake libtool libppd-devel libxml-devel gtk+-devel

%description 
GPR is a graphical printing frontend which allows choosing the desired
printer and adjusting printer options via a GUI under various
spoolers. To have the needed printer capability information to set up
the option screens it uses PPD files, which are available for all
PostScript printers and all printers configured with Foomatic.

%prep

%setup -q

%build
%configure
make

%install
%makeinstall

# Use update-alternatives to make printing with GPR also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s gpr lpr-gpr
)

%post
# Set up update-alternatives entry
/sbin/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-gpr 8

%preun
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  /sbin/update-alternatives --remove lpr /usr/bin/lpr-gpr
fi

%postun

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING INSTALL README TODO
%{_bindir}/*

%changelog
* Thu Oct 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl3
- rebuild with db4-4.2.52
- added Japanese summary

* Sat Sep 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl2
- change Group:
- added Prereq: alternatives

* Wed Apr 30 2003 Satoshi MACHINO <machino@vinelinux.org> 0.9-0vl1
- initial release.

